summaryrefslogtreecommitdiffstats
path: root/source/n
diff options
context:
space:
mode:
Diffstat (limited to 'source/n')
-rw-r--r--source/n/FTBFSlog3
-rw-r--r--source/n/nghttp2/nghttp2.url2
-rwxr-xr-xsource/n/nmap/nmap.SlackBuild3
-rw-r--r--source/n/nmap/nmap.no.internet.requirement.for.build.diff16
4 files changed, 23 insertions, 1 deletions
diff --git a/source/n/FTBFSlog b/source/n/FTBFSlog
index bea9fa2dc..2ec852076 100644
--- a/source/n/FTBFSlog
+++ b/source/n/FTBFSlog
@@ -1,3 +1,6 @@
+Mon May 20 18:05:03 UTC 2024
+ nmap: Fix build without network access. Thanks to lucabon.
++--------------------------+
Thu Dec 21 19:06:04 UTC 2023
bind: fix build without krb5. Thanks to teoberi and Windu.
+--------------------------+
diff --git a/source/n/nghttp2/nghttp2.url b/source/n/nghttp2/nghttp2.url
index abf5637d7..c9b6c6d93 100644
--- a/source/n/nghttp2/nghttp2.url
+++ b/source/n/nghttp2/nghttp2.url
@@ -1,2 +1,2 @@
https://github.com/nghttp2/nghttp2
-https://github.com/nghttp2/nghttp2/releases/download/v1.62.0/nghttp2-1.62.0.tar.xz
+https://github.com/nghttp2/nghttp2/releases/download/v1.62.1/nghttp2-1.62.1.tar.xz
diff --git a/source/n/nmap/nmap.SlackBuild b/source/n/nmap/nmap.SlackBuild
index b35e41337..d5171ad3a 100755
--- a/source/n/nmap/nmap.SlackBuild
+++ b/source/n/nmap/nmap.SlackBuild
@@ -82,6 +82,9 @@ find . \
sed -i "s,share/man/man1,man/man1,g" ndiff/setup.py
+# Don't require a network connection to build zenmap:
+cat $CWD/nmap.no.internet.requirement.for.build.diff | patch -p1 --verbose || exit 1
+
# --without-nmap-update is needed below to avoid depending on apr and subversion libraries.
# It's not worth the feature IMHO.
LIBS="-lnl" \
diff --git a/source/n/nmap/nmap.no.internet.requirement.for.build.diff b/source/n/nmap/nmap.no.internet.requirement.for.build.diff
new file mode 100644
index 000000000..5e80c9a13
--- /dev/null
+++ b/source/n/nmap/nmap.no.internet.requirement.for.build.diff
@@ -0,0 +1,16 @@
+--- ./Makefile.in.orig 2024-04-18 11:19:35.000000000 -0500
++++ ./Makefile.in 2024-05-20 13:00:18.665855374 -0500
+@@ -361,11 +361,11 @@
+ DEFAULT_PYTHON_PATH = /usr/bin/env python3
+
+ build-zenmap: $(ZENMAPDIR)/pyproject.toml $(ZENMAPDIR)/zenmapCore/Version.py
+- $(PYTHON) -m build $(ZENMAPDIR)/
++ $(PYTHON) -m build --wheel --no-isolation $(ZENMAPDIR)/
+
+ install-zenmap: $(ZENMAPDIR)/pyproject.toml
+ $(INSTALL) -d $(DESTDIR)$(bindir) $(DESTDIR)$(mandir)/man1 $(DESTDIR)$(deskdir)
+- $(PYTHON) -m pip install $(ZENMAPDIR)/ $(if $(DESTDIR),--root "$(DESTDIR)")
++ $(PYTHON) -m pip install --no-build-isolation $(ZENMAPDIR)/ $(if $(DESTDIR),--root "$(DESTDIR)")
+ $(INSTALL) -c -m 644 docs/zenmap.1 $(DESTDIR)$(mandir)/man1/
+ $(INSTALL) -c -m 644 $(ZENMAPDIR)/install_scripts/unix/*.desktop $(DESTDIR)$(deskdir)
+ # Create a symlink from nmapfe to zenmap if nmapfe doesn't exist or is